Name: python-imaging
Version: 1.1.4
Release: alt4

Summary: Python's own image processing library 
Copyright: Distributable
Group: Development/Python
URL: http://www.pythonware.com/products/pil/
Icon: linux-python-paint-icon.xpm

Source0: http://www.pythonware.com/downloads/Imaging-%{version}.tar.gz
Source1: Imaging-doc.tar.bz2

Patch: python-imaging-tk.patch

Requires: python = %__python_version,  libjpeg >= 6b, zlib >= 1.1.2, libpng >= 1.0.1
BuildPreReq: libjpeg-devel >= 6b, zlib-devel >= 1.1.2, libpng-devel >= 1.0.1

# Automatically added by buildreq on Sun Dec 10 2000
BuildRequires: XFree86-devel db1 libjpeg-devel python python-devel tcl tk zlib-devel tk-devel tcl-devel tkinter

%description
Python Imaging Library version %version
   
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.


%prep
%setup -q -n Imaging-%version -a1
# %patch -p0
find -type f |xargs fgrep -l /usr/local |
	xargs -r perl -pi -e 's|/usr/local|/usr|g'

%build
pushd libImaging
%add_optflags %optflags_shared
%configure
%make_build OPT="$RPM_OPT_FLAGS"
popd


python setup.py build
#make -f Makefile.pre.in boot
#% make_build OPT="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/python%__python_version/{site-packages,lib-dynload}
mkdir -p $RPM_BUILD_ROOT%_includedir/python%__python_version
install -p -m644 PIL.pth $RPM_BUILD_ROOT%_libdir/python%__python_version/site-packages
cp -a PIL $RPM_BUILD_ROOT%_libdir/python%__python_version/site-packages
install -p -m755 build/lib.%_os-i686-%__python_version/_imaging.so $RPM_BUILD_ROOT%_libdir/python%__python_version/lib-dynload
install -p -m755 build/lib.%_os-i686-%__python_version/_imagingtk.so $RPM_BUILD_ROOT%_libdir/python%__python_version/lib-dynload
cp libImaging/Im*.h $RPM_BUILD_ROOT%_includedir/python%__python_version

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d
cat > $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d/%name << EOF
^/usr/lib/python[^/]*/site-packages/PIL$
EOF

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc handbook notes Scripts Images Sane CHANGES-114 CONTENTS
%config %_sysconfdir/buildreqs/files/ignore.d/%name
%_libdir/python%__python_version/*/*
%_includedir/python%__python_version/Im*.h

%changelog
* Thu Nov 20 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt4
- Fix build requires and test on python223

* Tue Oct 07 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt3
- Fix build requires: add tcl & tk devel

* Mon May 19 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt2
- Add some fixes of spec-file

* Sun May 18 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt1
- Rebuild package for new version

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.2-alt4
- Added buildreq filter

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.2-alt3
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 1.1.2-alt2
- some header-files added 

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.2-alt1
- 1.1.2. Rebuilt with python-2.1

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 1.1-ipl4mdk
- Fix out /usr/local.
- Fix building for python version != 1.5.
- Fix Requires.
- Automatically added BuildRequires.

* Wed Nov 29 2000 AEN <aen@logic.ru> 1.1-ipl3mdk
- rebuild for RE
- patch to find-req

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1-2mdk
- Fix FredL's typo

* Wed Sep 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b1-3mdk
- group fix.

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen
- deactivate provinding of tkinter lib since Chmouel one's works perfectly

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive

* Mon Jan 11 1999 Oliver Andrich <oli@andrich.net>
- upgraded to Imaging 1.0b1

* Sun Dec 27 1998 Oliver Andrich <oli@andrich.net>
- changed Setup file so that the tkinter module is compiled with Tix and BLT
  support

* Mon Jul 20 1998 Oliver Andrich <oli@andrich.net>
- had to recompile and update the package to support the uptodate graphics
  libs

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>
- updated package to version 0.3a4
